Subject: Re: [ietf-calsify] [Technical Errata Reported] RFC5545 (2676)

From: Alexey Melnikov <[email-masked]>
Date: Thu, 20 Jan 2011 18:17:45 +0000

Bernard Desruisseaux wrote:

> The correction proposed by Dennis is incorrect.
>
> I filed a new errata (2677) with the proper correction.
> See: http://www.rfc-editor.org/errata_search.php?eid=2677

You should have let me edit the original one, but this is not a big deal.
I just approved it.

> Cheers,
> Bernard
>
> On 12/20/2010 6:39 PM, RFC Errata System wrote:
>
>> The following errata report has been submitted for RFC5545,
>> "Internet Calendaring and Scheduling Core Object Specification 
>> (iCalendar)".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5545&eid=2676
>>
>> --------------------------------------
>> Type: Technical
>> Reported by: Dennis Gearon<[email-masked]>
>>
>> Section: 3.6.1
>>
>> Original Text
>> -------------
>>                    ; The following are OPTIONAL,
>>                    ; but MUST NOT occur more than once.
>>                    ;
>>                    class / created / description / geo /
>>                    last-mod / location / organizer / priority /
>>                    seq / status / summary / transp /
>>                    url / recurid /
>>                    ;
>>                    ; The following is OPTIONAL,
>>                    ; but SHOULD NOT occur more than once.
>>                    ;
>>                    rrule /
>>                    ;
>>                    ; Either 'dtend' or 'duration' MAY appear in
>>                    ; a 'eventprop', but 'dtend' and 'duration'
>>                    ; MUST NOT occur in the same 'eventprop'.
>>                    ;
>>                    dtend / duration /
>>                    ;
>>                    ; The following are OPTIONAL,
>>                    ; and MAY occur more than once.
>>                    ;
>>                    attach / attendee / categories / comment /
>>                    contact / exdate / rstatus / related /
>>                    resources / rdate / x-prop / iana-prop
>>                    ^^^^^^^^^
>>                    ;
>>
>>
>> Corrected Text
>> --------------
>>                    ; The following are OPTIONAL,
>>                    ; but MUST NOT occur more than once.
>>                    ;
>>                    class / created / description / geo /
>>                    last-mod / location / organizer / priority /
>>                    seq / status / summary / transp /
>>                    url / recurid / resources
>>                                    ^^^^^^^^^
>>                    ;
>>                    ; The following is OPTIONAL,
>>                    ; but SHOULD NOT occur more than once.
>>                    ;
>>                    rrule /
>>                    ;
>>                    ; Either 'dtend' or 'duration' MAY appear in
>>                    ; a 'eventprop', but 'dtend' and 'duration'
>>                    ; MUST NOT occur in the same 'eventprop'.
>>                    ;
>>                    dtend / duration /
>>                    ;
>>                    ; The following are OPTIONAL,
>>                    ; and MAY occur more than once.
>>                    ;
>>                    attach / attendee / categories / comment /
>>                    contact / exdate / rstatus / related /
>>                    rdate / x-prop / iana-prop
>>                    ;
>>
>>
>> Notes
>> -----
>> As per the definition of 'RESOURCES' in section 3.8.1.10,:
>>
>> Conformance:  This property can be specified once in "VEVENT" or
>>        "VTODO" calendar component.
>>
>> The text in the "VEVENT" definition has RESOURCES in the 'Option and 
>> MAY occur more than once.' section. The corrected text above corrects 
>> both sections;
>>
>> 1/ It is removed from the 'OPTIONAL/MAY occure more than once section.
>> 2/ It is placed at the end of the 'OPTIONAL/MUST NOT occur more than 
>> once section.
>>
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>>
>> --------------------------------------
>> RFC5545 (draft-ietf-calsify-rfc2445bis-10)
>> --------------------------------------
>> Title               : Internet Calendaring and Scheduling Core Object 
>> Specification (iCalendar)
>> Publication Date    : September 2009
>> Author(s)           : B. Desruisseaux, Ed.
>> Category            : PROPOSED STANDARD
>> Source              : Calendaring and Scheduling Standards 
>> Simplification
>> Area                : Applications
>> Stream              : IETF
>> Verifying Party     : IESG
>
>

-- 
IETF Application Area Director, <http://www.ietf.org/iesg/members.html>
Internet Messaging Team Lead, <http://www.isode.com>
JID: same as my email address

_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify